package com.qqchen.deploy.backend.framework.exception;

import com.qqchen.deploy.backend.framework.enums.ResponseCode;

/**
 * 系统异常，只返回系统错误给前端，但会记录详细日志
 */
public class SystemException extends BaseException {

    public SystemException(String message, Throwable cause) {
        super(ResponseCode.ERROR, new Object[] {message}, cause);
    }

    public SystemException(ResponseCode errorCode, Object[] args, Throwable cause) {
        super(errorCode, args, cause);
    }
} 